## org.eclipse.xsd.impl
Class XSDConcreteComponentImpl.XSDContentsEList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.AbstractSequentialList<E>
                  org.eclipse.emf.ecore.util.EContentsEList<XSDConcreteComponent>
                      org.eclipse.xsd.impl.XSDConcreteComponentImpl.XSDContentsEList

All Implemented Interfaces:
  java.lang.Iterable<XSDConcreteComponent>, java.util.Collection<XSDConcreteComponent>, java.util.List<XSDConcreteComponent>, EList<XSDConcreteComponent>, InternalEList<XSDConcreteComponent>

Enclosing class:
  XSDConcreteComponentImpl

    public static class XSDConcreteComponentImpl.XSDContentsEList

extends EContentsEList<XSDConcreteComponent>

Nested Class Summary
`static class` `XSDConcreteComponentImpl.XSDContentsEList.FeatureIteratorImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EContentsEList
`EContentsEList.FeatureIterator<E>, EContentsEList.FeatureListIterator<E>, EContentsEList.ResolvingFeatureIteratorImpl<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`InternalEList.Unsettable<E>`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.EContentsEList
`EMPTY_CONTENTS_ELIST, eObject, eStructuralFeatures`

Fields inherited from class java.util.AbstractList
`modCount`

Method Summary
`java.util.Iterator<XSDConcreteComponent>` `basicIterator()`
`java.util.List<XSDConcreteComponent>` `basicList()`
`protected boolean` `isIncluded(EStructuralFeature eStructuralFeature)`
`protected java.util.ListIterator<XSDConcreteComponent>` `newListIterator()`

Methods inherited from class org.eclipse.emf.ecore.util.EContentsEList
`addUnique, addUnique, basicAdd, basicGet, basicListIterator, basicListIterator, basicRemove, createEContentsEList, emptyContentsEList, isEmpty, isIncludedEntry, iterator, listIterator, move, move, newIterator, newNonResolvingListIterator, newResolvingListIterator, resolve, setUnique, size, useIsSet`

Methods inherited from class java.util.AbstractSequentialList
`add, addAll, get, remove, set`

Methods inherited from class java.util.AbstractList
`add, clear, equals, hashCode, indexOf, lastIndexOf, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### newListIterator

    protected java.util.ListIterator<XSDConcreteComponent> newListIterator()

  Overrides:
    `newListIterator` in class `EContentsEList<XSDConcreteComponent>`

### isIncluded

    protected boolean isIncluded(EStructuralFeature eStructuralFeature)

  Overrides:
    `isIncluded` in class `EContentsEList<XSDConcreteComponent>`

### basicList

    public java.util.List<XSDConcreteComponent> basicList()

  Specified by:
    `basicList` in interface `InternalEList<XSDConcreteComponent>`
  Overrides:
    `basicList` in class `EContentsEList<XSDConcreteComponent>`

### basicIterator

    public java.util.Iterator<XSDConcreteComponent> basicIterator()

  Specified by:
    `basicIterator` in interface `InternalEList<XSDConcreteComponent>`
  Overrides:
    `basicIterator` in class `EContentsEList<XSDConcreteComponent>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.